#ifdef GL_ES
precision mediump float;
#endif
varying vec2 texCoord;
uniform sampler2D u_texture;
varying vec4 color;
uniform float valueX;
uniform float valueY;
uniform float end;


float plot(float pct){
    return smoothstep(pct, pct-0.5, 0.3);
}

void main()
{
    vec2 coord = texCoord;
    if (coord.x < valueX && coord.y < valueY)
        gl_FragColor = texture2D(u_texture, texCoord);
    else
    {
        float x = smoothstep(valueX, valueX + 0.3, coord.x);
        float y = smoothstep(0.8, 0.5, coord.y);
        float pct = plot(x);
        float pct2 = plot(y);
        vec4 color = (1.0 - pct) + (pct * vec4(0.6, 0.6, 0.6, 1.0));
        gl_FragColor = texture2D(u_texture, texCoord) * color;
    }
}