#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D u_texture;

varying vec4 v_color;
varying vec2 v_texCoord;

const float width = .48;
const float edge = .16;

//const float borderWidth = .0;
//const float borderEdge = .0;
//
//const vec3 outlineColor = vec3(1.0, 1.0, 1.0);

void main() {
    float distance = 1.0 - texture2D(u_texture, v_texCoord).a;
    float alpha = 1.0 - smoothstep(width, width + edge, distance);

//    float outlineAlpha = 1.0 - smoothstep(borderWidth, borderWidth + borderEdge, distance);
//
//    float overallAlpha = alpha + (1.0 - alpha) * outlineAlpha;
//    vec3 color = mix(outlineColor, v_color.rgb, alpha / outlineAlpha);

    gl_FragColor = vec4(v_color.rgb, v_color.a * alpha);
}
