uniform mat4 u_projViewTrans;
uniform mat4 u_worldTrans;
attribute vec3 a_position;
attribute vec2 a_texCoord0;
attribute vec4 a_color;
attribute vec2 a_texCoord;
varying vec4 v_color;
varying vec2 texCoord;


void main() {
    gl_Position = u_projViewTrans  * u_worldTrans * vec4(a_position, 1.0);
    texCoord = a_texCoord;
    v_color = a_color;
}