#ifdef GL_ES
precision mediump float;
#endif
varying vec2 texCoord;
uniform float u_time;
uniform vec2 u_resolution;
uniform sampler2D u_texture;
varying vec4 color;
uniform float waveY;
uniform float alpha;
void main() {
    vec2 coord = texCoord;
    vec4 transparentBlack = vec4(0.6, 0.6, 0.6, 1.0);
    coord.y += sin(coord.y * 5.0 * 2.0 * 3.14159 + u_time) / 150.0;
    if (alpha < 1.0)
        gl_FragColor = (color * texture2D(u_texture, coord) * vec4(1.2, 1.2, 1.2, 1.0));
    else
        gl_FragColor = (color * texture2D(u_texture, coord) * vec4(1.2, 1.2, 1.2, 1.0)) * transparentBlack;
}
